<?php
 
function xmldb_block_timetable_upgrade($oldversion) {
    global $CFG;
     
    $result = TRUE;

    global $DB;
    $dbman = $DB->get_manager(); // Loads ddl manager and xmldb classes.

    if ($oldversion < 2020062400) {

        // Define table block_timetable to be created.
        $table = new xmldb_table('block_timetable');

        // Adding fields to table block_timetable.
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);

        // Adding keys to table block_timetable.
        $table->add_key('primary', XMLDB_KEY_PRIMARY, ['id']);

        // Conditionally launch create table for block_timetable.
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }
        
        // Define table timetable_lesson to be created.
        $table = new xmldb_table('timetable_lesson');

        // Adding fields to table timetable_lesson.
        $table->add_field('id', XMLDB_TYPE_INTEGER, '10', null, XMLDB_NOTNULL, XMLDB_SEQUENCE, null);
        $table->add_field('teacher', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('day', XMLDB_TYPE_INTEGER, '2', null, null, null, null);
        $table->add_field('period', XMLDB_TYPE_INTEGER, '2', null, null, null, null);
        $table->add_field('subject', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('room', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('lessonid', XMLDB_TYPE_INTEGER, '7', null, null, null, null);
        $table->add_field('flag', XMLDB_TYPE_INTEGER, '7', null, null, null, null);
        $table->add_field('class', XMLDB_TYPE_CHAR, '20', null, null, null, null);
        $table->add_field('week', XMLDB_TYPE_CHAR, '53', null, null, null, null);
        $table->add_field('unknown', XMLDB_TYPE_INTEGER, '7', null, null, null, null);

        // Adding keys to table timetable_lesson.
        $table->add_key('primary', XMLDB_KEY_PRIMARY, ['id']);

        // Conditionally launch create table for timetable_lesson.
        if (!$dbman->table_exists($table)) {
            $dbman->create_table($table);
        }

        // Timetable savepoint reached.
        upgrade_block_savepoint(true, 2020062400, 'timetable');
        
        
    }

	     
    return $result;
}
?>
